%define name smeserver-docker
%define version 0.4
%define release 9%{?dist}
Summary: Contrib to manage basic docker setup
Name: %{name}
Version: %{version}
Release: %{release}
License: GNU GPL version 2
URL: http://www.docker.com/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 10.0
Requires:  docker-ce >= 20.10
AutoReqProv: no

%description
Docker is an open-source project that automates the deployment of applications inside software containers

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.4-9.sme
- Fix e-smith references in smeserver-docker [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.4-8.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Jul 27 2023 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-7.sme
- Add newline to 01version temnplate [SME: 11892]

* Wed Jul 26 2023 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-6.sme
- add docker-compose.yml template-begin [SME: 11892]
- fix compose templates for version 2

* Tue Oct 11 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-5.sme
- Fix daemon.json syntax [SME: 11892]
- Add template-begin files
- Thanks to Greg Zartman for finding these

* Wed Jul 13 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-4.sme
- Add docker-compose.yml template [SME: 11892]
- smeserver-docker-compose-update event to expand the compose file

* Tue Jul 12 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-3.sme
- Fix some createlink errors [SME: 11892]
- Update daemon.json and 50koozali.conf templates

* Thu Mar 10 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-2.sme
- Add containerd db entries [SME: 11892]

* Thu Mar 10 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.4-1.sme
- First import to Koozali SME Server v10 [SME: 11892]
- Add basic templates

* Fri Aug 17 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.2-1
- Add template directory for docker-compose.yml
- You can then add gragments from your own contrib.

* Sun Apr 08 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-5
- Missed a # in /etc/sysconfig/docker

* Tue Mar 27 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-4
- Missed a # in the spec file

* Thu Mar 15 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-3
- add rc.7 service links for docker and mongod
- Fix prelink error on docker-compose see https://github.com/docker/compose/issues/
- fix errant semi colon in createlinks
- move demo docker file out of configs so it doesn't overwrite originals

* Sun Mar 11 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-2
- update spec file to set props on docker-compose
- mover docker-compose to /usr/bin

* Sun Mar 4 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1
- initial release
- basic file layout
- removed httpd templates - need to create your own

%prep

%setup


%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist

/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist 
echo "%doc COPYING LICENSE" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre
%preun
%post

# Add config directories if they don't exist
if [[ ! -d /home/e-smith/files/docker/configs ]]; then
    mkdir -p /home/e-smith/files/docker/configs;
fi

if [[ ! -d /usr/lib/systemd/system/docker.service.d ]]; then
    mkdir -p /usr/lib/systemd/system/docker.service.d;
fi

if [[ ! -d /etc/docker ]]; then
    mkdir -p /etc/docker;
fi

# Remove the errant dir in the source
if [[ -d /home/e-smith/files/docker/configs/docker-compose.yml ]]; then
    rm -rf /home/e-smith/files/docker/configs/docker-compose.yml;
fi


echo ""
echo "###################################################"
echo "*"
echo "see https://wiki.contribs.org/Docker"
echo "*"
echo "###################################################"
echo ""
echo "###################################################"
echo "*"
echo "Please run signal-post-upgrade;signal-event reboot"
echo "*"
echo "###################################################"
echo ""
echo "###################################################"
echo "*"
echo "Docker compose:"
echo "curl -L "https://github.com/docker/compose/releases/download/1.29.2/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose"
echo "chmod 0700 /usr/local/bin/docker-compose"
echo "chgrp docker /usr/local/bin/docker-compose"
echo "*"
echo "###################################################"

%postun
#/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
#/sbin/e-smith/expand-template /etc/inittab
#/sbin/init q
